#ifndef __ENUMS_H__
#define __ENUMS_H__
//memory offsets for storing data
enum offsets {OFFSET_MNOTE = 0, OFFSET_COMMANDS = 4, OFFSET_DH = 8, OFFSET_SYS = 12};
//schedule types
typedef enum _schedules {SCH_NO, SCH_ONCE, SCH_ED, SCH_REP, SCH_PER_WD, SCH_AFTER, SCH_MONTHLY_EXACT, SCH_MONTHLY_RELATIVE, SCH_COMP_START, SCH_PROG_START} schedules;
//command line arguments
enum clargs {ARG_EXIT = 1, 
	ARG_SILENT = 2, 
	ARG_NO_SAVE = 4, 
	ARG_INI_PATH = 8, 
	ARG_DATA_PATH = 16, 
	ARG_PROG_PATH = 32, 
	ARG_DB_PATH = 64, 
	ARG_CREATE_NEW = 128, 
	ARG_NEW_FROM_CLIPBOARD = 256,
	ARG_DIARY_TODAY = 512};
enum note_flags {F_TEXT = 1, F_SKIN = 2, F_RTFONT = 4, F_SCHEDULE = 8, F_C_FONT = 16, F_C_COLOR = 32, F_B_COLOR = 64, F_PRIORITY = 128};
enum tbr_buttons {CMD_FONT = 0, CMD_SIZE, CMD_COLOR, CMD_BOLD, CMD_ITALIC, CMD_UNDERLINE, CMD_STRIKETHROUGH, CMD_HIGHLIGHT, CMD_A_LEFT, CMD_A_CENTER, CMD_A_RIGHT, CMD_BULLETS};
typedef enum _dock_type {DOCK_NONE = 0, DOCK_LEFT, DOCK_TOP, DOCK_RIGHT, DOCK_BOTTOM} dock_type;
enum bool_settings_1 {SB1_RANDCOLOR, SB1_HIDETOOLBAR, SB1_RELPOSITION, 
					SB1_CUST_FONTS, SB1_SHOW_CP, SB1_TRACK_OVERDUE, 
					SB1_INVERT_TEXT, SB1_HIDE_WO_PROMPT, SB1_PWRD_REQ_LOGON, 
					SB1_IS_PWRD_SET, SB1_STORE_ENCRYPTED, SB1_USE_BACKUP, 
					SB1_HIDE_TRAY, SB1_FIT_TO_CAPTION, SB1_ROLL_ON_LEAVE_ENTER, 
					SB1_NO_ALT_TAB, SB1_DONOT_CENTER, SB1_HIDE_FLUENTLY, 
					SB1_PLAY_HIDE_SOUND, SB1_CUST_DIARY_SETTINGS, SB1_ADD_WEEKDAY_DIARY,
					SB1_FULL_WEEKDAY_NAME, SB1_WEEKDAY_DIARY_END, SB1_NO_DIARY_PAGES, 
					SB1_DIARY_SORT_ASC};
typedef enum _bool_settings_2 {SB2_NEW_NOTE, SB2_CONTROL_PANEL, SB2_PREFS, SB2_SEARCH_NOTES, SB2_LOAD_NOTE, SB2_FROM_CLIPBOARD, SB2_ALL_TO_FRONT, SB2_SAVE_ALL, SB2_SHOW_HIDE, SB2_SEARCH_TAGS} bool_settings_2;
enum small_settings {SMS_BACKUP_COUNT, SMS_TAB_WIDTH, SMS_BULLET_INDENT, SMS_MARGIN_SIZE, SMS_DIARY_PAGES, SMS_DEF_SAVE_CHARACTERS};
enum note_bool_settings {NB_PREV_VISIBLE, NB_HIGH_PRIORITY, NB_PROTECTED, NB_NOT_TRACK, NB_COMPLETED, NB_DUPLICATED};
typedef enum _darrow_type {DA_LEFT_UP, DA_LEFT_DOWN, DA_TOP_LEFT, DA_TOP_RIGHT, DA_RIGHT_UP, DA_RIGHT_DOWN, DA_BOTTOM_LEFT, DA_BOTTOM_RIGHT} darrow_type;
typedef enum tagScheduleParams {SP_SOUND_IN_LOOP, SP_IN_ALARM} schedule_params;
typedef enum tagWinVersion {WV_PRE_XP = 4, WV_2003 = 5, WV_XP = 6, WV_VISTA_AND_MORE = 7} win_version;
#endif
