#ifndef __TAGS_H__
#define __TAGS_H__

#ifndef _UNICODE
#define _UNICODE
#endif

#include <windows.h>
#include <tchar.h>
#include <windowsx.h>

#include "structures.h"

LPTAG TagsAdd(LPTAG this, wchar_t * lpText, wchar_t * lpOldText);
void TagsClear(LPTAG this);
void TagsFree(LPTAG this);
LPTAG TagsCopy(LPTAG tDest, LPTAG tSrc);
int TagsCompare(LPTAG this, LPTAG that);
BOOL TagsContains(LPTAG this, wchar_t * lpText);
BOOL TagsContainsOld(LPTAG this, wchar_t * lpText);
int TagsCount(LPTAG this);
LPTAG TagsRemove(LPTAG this, wchar_t * lpText);
void TagsReplace(LPTAG this, wchar_t * lpNew, wchar_t * lpOld);
void TagsGetOld(LPTAG this, wchar_t * lpText, wchar_t * lpOld);

#endif	// TAGS_H__
