#ifndef __GROUPS_H__
#define __GROUPS_H__

typedef struct _PNGROUP *P_PNGROUP;

typedef struct _PNGROUP {
	int			id;
	int			parent;
	int			image;
	wchar_t		szName[128];
	P_PNGROUP	next;
	HK_TYPE		hotKeyShow;
	HK_TYPE		hotKeyHide;
} PNGROUP;

int GetGroupsCount(void);
void GetAllGroups(void);
void DeleteGroup(int id);
int NewGroupId(void);
void AddGroup(P_PNGROUP pg);
P_PNGROUP GetGroup(int id);
void FreeGroups(void);
void SaveGroup(P_PNGROUP ppg);
P_PNGROUP GetGroups(void);

#endif	// GROUPS_H__
